"""Resources

Revision ID: 160f69fe43b8
Revises: 6c22d39efef8
Create Date: 2023-05-02 17:45:28.861353

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '160f69fe43b8'
down_revision = '6c22d39efef8'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('action_resources',
    sa.Column('id', sa.String(), nullable=False),
    sa.Column('cpu', sa.Float(), nullable=True),
    sa.Column('memory', sa.BigInteger(), nullable=True),
    sa.Column('time', sa.Float(), nullable=True),
    sa.Column('gpu', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('workflow_action_resources',
    sa.Column('id', sa.String(), nullable=False),
    sa.Column('cpu', sa.Float(), nullable=True),
    sa.Column('memory', sa.BigInteger(), nullable=True),
    sa.Column('time', sa.Float(), nullable=True),
    sa.Column('gpu', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('action', sa.Column('resources_id', sa.String(), nullable=True))
    op.create_foreign_key(None, 'action', 'action_resources', ['resources_id'], ['id'])
    op.add_column('workflow_action', sa.Column('resources_id', sa.String(), nullable=True))
    op.create_foreign_key(None, 'workflow_action', 'workflow_action_resources', ['resources_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'workflow_action', type_='foreignkey')
    op.drop_column('workflow_action', 'resources_id')
    op.drop_constraint(None, 'action', type_='foreignkey')
    op.drop_column('action', 'resources_id')
    op.drop_table('workflow_action_resources')
    op.drop_table('action_resources')
    # ### end Alembic commands ###
